### Hierarchy

- Mapper

## Index

### Properties

- mapperForType

### Methods

- forType
- fromDb
- fromDbOne
- toDb
- toDbOne

## Properties

### Static mapperForType

mapperForType: Map<AttributeModelType, MapperForType<any>> = new Map()

- Defined in mapper/mapper.ts:30

## Methods

### Static forType

- forType(type: AttributeModelType): MapperForType<any>

- - Defined in mapper/mapper.ts:245

  #### Parameters

  - ##### type: AttributeModelType

  #### Returns MapperForType<any>

### Static fromDb

- fromDb<T>(attributeMap: AttributeMap, modelClass?: ModelConstructor<T>): T

- - Defined in mapper/mapper.ts:171

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributeMap: AttributeMap

  - ##### Optional modelClass: ModelConstructor<T>

  #### Returns T

### Static fromDbOne

- fromDbOne<T>(attributeValue: AttributeValue, propertyMetadata?: PropertyMetadata<any>): T

- - Defined in mapper/mapper.ts:229

  #### Type parameters

  - #### T

  #### Parameters

  - ##### attributeValue: AttributeValue

  - ##### Optional propertyMetadata: PropertyMetadata<any>

  #### Returns T

### Static toDb

- toDb<T>(item: T, modelConstructor?: ModelConstructor<T>): AttributeMap

- - Defined in mapper/mapper.ts:34

  #### Type parameters

  - #### T

  #### Parameters

  - ##### item: T

  - ##### Optional modelConstructor: ModelConstructor<T>

  #### Returns AttributeMap

### Static toDbOne

- toDbOne(propertyValue: any, propertyMetadata?: PropertyMetadata<any>): AttributeValue | null

- - Defined in mapper/mapper.ts:130

  #### Parameters

  - ##### propertyValue: any

  - ##### Optional propertyMetadata: PropertyMetadata<any>

  #### Returns AttributeValue | null

Generated using TypeDoc